import { RemovableRef, StorageLike, UseStorageOptions } from '@vueuse/core';
import { EncryptionParams } from '@regiondev/vue-encryption';
export interface CreateStorageParams extends EncryptionParams {
    prefixKey?: string;
    storage: Storage;
    hasEncrypt?: boolean;
    timeout: number;
    key: string;
    iv: string;
}
export interface IWebStorage {
    useStorage<T = any>(key: string, initialValue?: any, storage?: StorageLike, options?: UseStorageOptions<T>): RemovableRef<T>;
    remove(key: string): any;
    clear(): void;
    get(key: string, def?: any): any;
    set(key: string, value: any, expire?: number): any;
}
export declare const createStorage: ({ prefixKey, storage, key, iv, timeout, hasEncrypt, }: CreateStorageParams) => IWebStorage;
